#pragma once

#include <filesystem>
#include "shapes.hh"

struct ParsedArgs {
	std::filesystem::path input_path;
	std::filesystem::path output_path;
  Shape::ShapeType shape;
	int iterations;
	int method;
	int cols;
	int rows;
	int submethod;
	bool controlled_size;
	bool verbose;
};

/// \brief Parses the arguments passed to the program
[[nodiscard]] auto parse_args(int, char**) -> ParsedArgs;
